aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlammie Pirinen <flammie@gentoo.org>2011-05-10 01:58:04 +0300
committerFlammie Pirinen <flammie@gentoo.org>2011-05-10 01:58:04 +0300
commitf6a5ac32d4b1c8d68df83f6e182939dbceda5676 (patch)
tree6d20ef59b4dcc171371f0131b2903d87135a119e /sci-misc/foma
parentVersion bump. (diff)
downloadsci-f6a5ac32d4b1c8d68df83f6e182939dbceda5676.tar.gz
sci-f6a5ac32d4b1c8d68df83f6e182939dbceda5676.tar.bz2
sci-f6a5ac32d4b1c8d68df83f6e182939dbceda5676.zip
Version bump.
(Portage version: 2.1.9.42/git/Linux i686, unsigned Manifest commit)
Diffstat (limited to 'sci-misc/foma')
-rw-r--r--sci-misc/foma/ChangeLog7
-rw-r--r--sci-misc/foma/Manifest4
-rw-r--r--sci-misc/foma/foma-0.9.14_alpha.ebuild47
3 files changed, 56 insertions, 2 deletions
diff --git a/sci-misc/foma/ChangeLog b/sci-misc/foma/ChangeLog
index 98e8006c1..e97a7c426 100644
--- a/sci-misc/foma/ChangeLog
+++ b/sci-misc/foma/ChangeLog
@@ -1,7 +1,12 @@
# ChangeLog for sci-misc/foma
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*foma-0.9.14_alpha (09 May 2011)
+
+ 09 May 2011; <flammie@gentoo.org> +foma-0.9.14_alpha.ebuild:
+ Version bump
+
*foma-0.9.4_alpha (16 Jan 2009)
16 Jan 2009; Flammie Pirinen <flammie@gentoo.org> +foma_0.9.4_alpha.ebuild:
diff --git a/sci-misc/foma/Manifest b/sci-misc/foma/Manifest
index 09088dc59..49521b8c8 100644
--- a/sci-misc/foma/Manifest
+++ b/sci-misc/foma/Manifest
@@ -1,6 +1,8 @@
+DIST foma-0.9.14alpha.tar.gz 306549 RMD160 f5fc03910a76bb0e95b3e0a0008cae5d369dca16 SHA1 85947de3c71ad06448dc7848945ff1deef4e540c SHA256 8ae2f9681e1ecd8c1bc5b1914e755736a839c620b6111c5ab38e2e253ef3255f
DIST foma-0.9.1alpha.tar.gz 238601 RMD160 971e8d5990c85ee78e34fb9b64424030f16b556a SHA1 7c2127e30f12bc3330d3c49c27020b69aadcdfe4 SHA256 5b72417a4654e62959f4e52e7c1db391b3c2058b4054fb197fa763c7999bd70e
DIST foma-0.9.4alpha.tar.gz 92640 RMD160 8e93b00e8407be5f8a44f1cba040526a4c4179b6 SHA1 df272ad99ec442d23c0ed143da8e05d422f52607 SHA256 ec29fa86ed8e386743fec43b8f53f93274a9642aab8060c12e7712fea295a83a
+EBUILD foma-0.9.14_alpha.ebuild 902 RMD160 c9f95684be92b2074e5ea85e0cee15a3f2eb6cd3 SHA1 2983f570c3a73d149f59c107572498bbabbb427b SHA256 883a259fe6a1e2271e6102730e25276cddec3ae29d32df950d0c83f80396462e
EBUILD foma-0.9.1_alpha.ebuild 625 RMD160 e4666a074b47cda1639d93211ca0b9d3e1d7ee19 SHA1 d4d5f0cd5908df1177933252c153cc91f4928092 SHA256 fd670315f134d04cd6a6b6dff817364214e2835f421548f26b93caad4ba0d6dd
EBUILD foma-0.9.4_alpha.ebuild 722 RMD160 f8ac33f80c77cc4420a96f941e0e11c6bd12849b SHA1 83b2d8c104277d1416410e1ce20a3af049d87026 SHA256 e1655f7e5d73c19051997f1ec7a70b69f1eb2f8f50eda2afa5d294dcdaf5b6e6
-MISC ChangeLog 372 RMD160 a5c2a3467d65fca23ee7b0e626ad84bcd82f3399 SHA1 9c0852aae4e8c65fe1b90ad085f3340c12e0efb1 SHA256 784687b4a87ecafeeca22d608090eaf83a19346d1779bd464a4ec0df0c2e9ebe
+MISC ChangeLog 485 RMD160 a97238238ea33358f64e1335ad31dc6a69e0def8 SHA1 c3255f9987e71223c71f1835c11fab11a25eba43 SHA256 3fb96e2713dc3a4d73f7309ce18b1eebe2fc16f8b14e66267cce42e5b542fda5
MISC metadata.xml 223 RMD160 754bf1189c9d51090f3e0439f6e7d6f603b93df0 SHA1 54348ca01c174e03ff3318b2a9da50d970db6695 SHA256 5c57a999484660ea4a3e55f9c526bb38097d5c1cb2356353133ec4d7e89f1f88
diff --git a/sci-misc/foma/foma-0.9.14_alpha.ebuild b/sci-misc/foma/foma-0.9.14_alpha.ebuild
new file mode 100644
index 000000000..93616abe6
--- /dev/null
+++ b/sci-misc/foma/foma-0.9.14_alpha.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+MY_P=${P/_alpha/alpha}
+
+DESCRIPTION="Finite state toolkit compatible with Xerox tools"
+
+HOMEPAGE="http://foma.sf.net/"
+
+SRC_URI="http://dingo.sbs.arizona.edu/~mhulden/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+
+SLOT="0"
+
+KEYWORDS="~x86"
+
+IUSE=""
+
+DEPEND=">=sys-devel/bison-2.3
+ >=sys-devel/flex-2.5.35
+ sys-libs/readline
+ sys-libs/libtermcap-compat"
+
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}"
+
+src_unpack() {
+ unpack ${A}
+ cd ${S}
+ sed -i -e "s/^CFLAGS =/CFLAGS = ${CFLAGS} -fPIC/" \
+ -e 's/ltermcap/lcurses/' \
+ -e 's/ldconfig/true/g' Makefile
+}
+
+src_compile() {
+ emake || die "make failed"
+ emake libfoma || die "library failed"
+}
+
+src_install() {
+ dobin foma || die "installing binaries failed"
+ dolib.so libfoma.so.0.9.14
+ dodoc README README.symbols || die "installing docs failed"
+}